langcode: en
status: open
dependencies:
  module:
    - antibot
open: null
close: null
weight: 0
uid: 41
template: false
archive: false
id: careers
title: Careers
description: 'Careers WebForm'
category: ''
elements: "'#attributes':\n  class:\n    - webform-careers\nform_wrapper:\n  '#type': container\n  '#attributes':\n    class:\n      - 'row collapse'\n  application_type_wrapper:\n    '#type': container\n    '#attributes':\n      class:\n        - 'columns small-12'\n    application_type:\n      '#type': webform_select_other\n      '#title': 'Application Type'\n      '#options':\n        'Spontaneous application': 'Spontaneous application'\n      '#empty_option': 'Please select'\n      '#other__option_label': 'I apply for the position...'\n      '#other__placeholder': 'Enter requested position…'\n      '#required': true\n      '#wrapper_attributes':\n        class:\n          - 'columns small-12'\n  personal_info_wrapper:\n    '#type': container\n    '#attributes':\n      class:\n        - 'columns small-12 medium-6'\n    name:\n      '#type': textfield\n      '#title': Name\n      '#title_display': before\n      '#required': true\n      '#required_error': 'Please insert your name'\n      '#wrapper_attributes':\n        class:\n          - 'columns small-12'\n    surname:\n      '#type': textfield\n      '#title': Surname\n      '#title_display': before\n      '#required': true\n      '#required_error': 'Please insert your surname'\n      '#wrapper_attributes':\n        class:\n          - 'columns small-12'\n    email:\n      '#type': email\n      '#title': Email\n      '#title_display': before\n      '#required': true\n      '#required_error': 'Please insert your email'\n      '#wrapper_attributes':\n        class:\n          - 'columns small-12'\n    telephone:\n      '#type': tel\n      '#title': Telephone\n      '#title_display': before\n      '#required': true\n      '#wrapper_attributes':\n        class:\n          - 'columns small-12'\n      '#international': true\n    mobile:\n      '#type': tel\n      '#title': Mobile\n      '#title_display': before\n      '#wrapper_attributes':\n        class:\n          - 'columns small-12'\n      '#international': true\n  address_info_wrapper:\n    '#type': container\n    '#attributes':\n      class:\n        - 'columns small-12 medium-6'\n    careers_form_address:\n      '#type': address\n      '#title': Address\n      '#required': true\n      '#wrapper_attributes':\n        class:\n          - 'columns small-12'\n      '#field_overrides':\n        givenName: hidden\n        additionalName: hidden\n        familyName: hidden\n        organization: hidden\n        addressLine2: hidden\n        sortingCode: hidden\n        dependentLocality: hidden\n  hear_about_us_wrapper:\n    '#type': container\n    '#attributes':\n      class:\n        - 'columns small-12'\n    source:\n      '#type': webform_select_other\n      '#title': Source\n      '#options':\n        StepStone: StepStone\n        Indeed: Indeed\n        LinkedIn: LinkedIn\n        XING: XING\n        'Hu-Friedy website': 'Hu-Friedy website'\n      '#empty_option': 'Please select'\n      '#required': true\n      '#wrapper_attributes':\n        class:\n          - 'columns small-12 medium-6'\n    referred_by:\n      '#type': textfield\n      '#title': 'Referred by'\n      '#description': 'If you were referred to this position by one of our employees, please type their name in the &quot;Referred by&quot; box below.'\n      '#description_display': after\n      '#autocomplete': 'off'\n      '#wrapper_attributes':\n        class:\n          - 'columns small-12 medium-6'\n  additional_info_wrapper:\n    '#type': container\n    '#attributes':\n      class:\n        - 'columns small-12'\n    work_authorization:\n      '#type': webform_select_other\n      '#title': 'Work Authorization'\n      '#empty_option': 'Please select'\n      '#required': true\n      '#options':\n        'I am authorized to work in this country for any employer': 'I am authorized to work in this country for any employer'\n        'I am authorized to work in this country for my present employer only': 'I am authorized to work in this country for my present employer only'\n        'I require sponsorship to work in this country': 'I require sponsorship to work in this country'\n        'My status to work in this country is unknown': 'My status to work in this country is unknown'\n      '#wrapper_attributes':\n        class:\n          - 'columns small-12 medium-6'\n    education_level:\n      '#type': webform_select_other\n      '#title': 'Highest Education Level'\n      '#empty_option': 'Please select'\n      '#options':\n        'Associates Degree': 'Associates Degree'\n        'Bachelor''s Degree': 'Bachelor''s Degree'\n        'High School Diploma/ GED': 'High School Diploma/ GED'\n        'Master''s Degree': 'Master''s Degree'\n        PhD: PhD\n        'Trade or Technical School Diploma': 'Trade or Technical School Diploma'\n      '#wrapper_attributes':\n        class:\n          - 'columns small-12 medium-6'\n  uploads_wrapper:\n    '#type': container\n    '#attributes':\n      class:\n        - 'columns small-12'\n    upload_your_resume:\n      '#type': webform_document_file\n      '#title': 'Upload Your Resume'\n      '#description': 'Upload your resume if you have not already done so. Your resume (and optional cover letter) can be uploaded in any of the following formats: DOC, DOCX, RTF, PDF, TXT, HTML.'\n      '#wrapper_attributes':\n        class:\n          - 'columns small-12 medium-6'\n      '#uri_scheme': s3\n      '#file_help': none\n      '#file_placeholder': 'Add Resume'\n      '#max_filesize': '10'\n      '#required': true\n    attachments_cover_letter:\n      '#type': webform_document_file\n      '#title': 'Attachments/Cover Letter'\n      '#description': \"Upload any additional attachment such as a cover letter.<br />\\r\\nNote: You can attach a total of up to 10MB of data. Your resume and all attachments combined must be less than 10MB.\"\n      '#wrapper_attributes':\n        class:\n          - 'columns small-12 medium-6'\n      '#uri_scheme': s3\n      '#file_help': none\n      '#file_placeholder': 'Add Attachment'\n      '#max_filesize': '10'\n  gdpr_wrapper:\n    '#type': container\n    '#attributes':\n      class:\n        - 'columns small-12'\n    gdpr_agreement:\n      '#type': checkbox\n      '#title': 'By submitting the Job Application I consent to the processing of this information in accordance with Hu-Friedy Privacy Policy.'\n      '#description': 'GDPR Agreement'\n      '#title_display': inline\n      '#description_display': before\n      '#required': true\n      '#required_error': 'Please accept our GDPR agreement'\n      '#wrapper_attributes':\n        class:\n          - 'columns small-12'\n    gdpr_message:\n      '#type': webform_markup\n      '#wrapper_attributes':\n        class:\n          - 'columns small-12'\n      '#markup': 'See our <a href=\"/en/privacy-policy\" target=\"_blank\">privacy policy</a> to learn more about how we use data'\n  newsletter_wrapper:\n    '#type': container\n    '#attributes':\n      class:\n        - 'columns small-12'\n    field_newsletter_agreement:\n      '#type': checkbox\n      '#title': 'I would like to receive Newsletters.'\n      '#description': 'Newsletter Agreement'\n      '#title_display': inline\n      '#description_display': before\n      '#wrapper_attributes':\n        class:\n          - 'columns small-12'\n  actions_wrapper:\n    '#type': container\n    '#attributes':\n      class:\n        - 'columns small-12'\n    actions:\n      '#type': webform_actions\n      '#title': 'Submit button(s)'\n      '#attributes':\n        class:\n          - 'columns small-12'\n      '#submit__label': Submit"
css: ''
javascript: ''
settings:
  ajax: true
  ajax_scroll_top: form
  ajax_progress_type: ''
  ajax_effect: ''
  ajax_speed: null
  page: true
  page_submit_path: ''
  page_confirm_path: ''
  page_admin_theme: false
  form_title: source_entity_webform
  form_submit_once: false
  form_exception_message: ''
  form_open_message: ''
  form_close_message: ''
  form_previous_submissions: true
  form_confidential: false
  form_confidential_message: ''
  form_remote_addr: true
  form_convert_anonymous: false
  form_prepopulate: false
  form_prepopulate_source_entity: false
  form_prepopulate_source_entity_required: false
  form_prepopulate_source_entity_type: ''
  form_reset: false
  form_disable_autocomplete: false
  form_novalidate: false
  form_disable_inline_errors: false
  form_required: false
  form_unsaved: false
  form_disable_back: false
  form_submit_back: false
  form_autofocus: false
  form_details_toggle: false
  form_access_denied: default
  form_access_denied_title: ''
  form_access_denied_message: ''
  form_access_denied_attributes: {  }
  form_file_limit: ''
  submission_label: ''
  submission_log: false
  submission_views: {  }
  submission_views_replace: {  }
  submission_user_columns: {  }
  submission_user_duplicate: false
  submission_access_denied: default
  submission_access_denied_title: ''
  submission_access_denied_message: ''
  submission_access_denied_attributes: {  }
  submission_exception_message: ''
  submission_locked_message: ''
  submission_excluded_elements: {  }
  submission_exclude_empty: false
  submission_exclude_empty_checkbox: false
  previous_submission_message: ''
  previous_submissions_message: ''
  autofill: false
  autofill_message: ''
  autofill_excluded_elements: {  }
  wizard_progress_bar: true
  wizard_progress_pages: false
  wizard_progress_percentage: false
  wizard_progress_link: false
  wizard_progress_states: false
  wizard_start_label: ''
  wizard_preview_link: false
  wizard_confirmation: true
  wizard_confirmation_label: ''
  wizard_track: ''
  preview: 0
  preview_label: ''
  preview_title: ''
  preview_message: ''
  preview_attributes: {  }
  preview_excluded_elements: {  }
  preview_exclude_empty: true
  preview_exclude_empty_checkbox: false
  draft: none
  draft_multiple: false
  draft_auto_save: false
  draft_saved_message: ''
  draft_loaded_message: ''
  draft_pending_single_message: ''
  draft_pending_multiple_message: ''
  confirmation_type: inline
  confirmation_title: ''
  confirmation_message: 'Thank you for your contact'
  confirmation_url: ''
  confirmation_attributes: {  }
  confirmation_back: true
  confirmation_back_label: ''
  confirmation_back_attributes: {  }
  confirmation_exclude_query: false
  confirmation_exclude_token: false
  confirmation_update: false
  limit_total: null
  limit_total_interval: null
  limit_total_message: ''
  limit_total_unique: false
  limit_user: null
  limit_user_interval: null
  limit_user_message: ''
  limit_user_unique: false
  entity_limit_total: null
  entity_limit_total_interval: null
  entity_limit_user: null
  entity_limit_user_interval: null
  purge: none
  purge_days: null
  results_disabled: false
  results_disabled_ignore: false
  token_update: false
access:
  create:
    roles:
      - anonymous
      - authenticated
    users: {  }
    permissions: {  }
  view_any:
    roles: {  }
    users: {  }
    permissions: {  }
  update_any:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_any:
    roles: {  }
    users: {  }
    permissions: {  }
  purge_any:
    roles: {  }
    users: {  }
    permissions: {  }
  view_own:
    roles: {  }
    users: {  }
    permissions: {  }
  update_own:
    roles: {  }
    users: {  }
    permissions: {  }
  delete_own:
    roles: {  }
    users: {  }
    permissions: {  }
  administer:
    roles: {  }
    users: {  }
    permissions: {  }
  test:
    roles: {  }
    users: {  }
    permissions: {  }
  configuration:
    roles: {  }
    users: {  }
    permissions: {  }
handlers:
  email:
    id: email
    label: Email
    handler_id: email
    status: true
    conditions: {  }
    weight: 0
    settings:
      states:
        - completed
      to_mail: hfeuropejobs@hu-friedy.com
      to_options: {  }
      cc_mail: ''
      cc_options: {  }
      bcc_mail: ''
      bcc_options: {  }
      from_mail: _default
      from_options: {  }
      from_name: _default
      subject: _default
      body: _default
      excluded_elements: {  }
      ignore_access: false
      exclude_empty: true
      exclude_empty_checkbox: false
      html: true
      attachments: false
      twig: false
      debug: false
      reply_to: ''
      return_path: ''
      sender_mail: ''
      sender_name: ''
      theme_name: ''
      parameters: {  }
uuid: abb154f2-43d8-4430-9936-1e9e96c9006f
third_party_settings:
  antibot:
    antibot: true
